org.keycloak.models.sessions.infinispan.mapreduce

## Class UserSessionMapper

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.mapreduce.UserSessionMapper

- All Implemented Interfaces:
    Serializable, org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>

      public class UserSessionMapper
      extends Object
      implements org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>, Serializable

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionMapper(String realm)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserSessionMapper` | `brokerSessionId(String id)`
    `UserSessionMapper` | `brokerUserId(String id)`
    `static UserSessionMapper` | `create(String realm)`
    `UserSessionMapper` | `emitKey()`
    `UserSessionMapper` | `expired(Integer expired, Integer expiredRefresh)`
    `void` | `map(String key, SessionEntity e, org.infinispan.distexec.mapreduce.Collector collector)`
    `UserSessionMapper` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionMapper

          public UserSessionMapper(String realm)

  - ### Method Detail

    - #### create

          public static UserSessionMapper create(String realm)

    - #### emitKey

          public UserSessionMapper emitKey()

    - #### user

          public UserSessionMapper user(String user)

    - #### expired

          public UserSessionMapper expired(Integer expired,
                                           Integer expiredRefresh)

    - #### brokerSessionId

          public UserSessionMapper brokerSessionId(String id)

    - #### brokerUserId

          public UserSessionMapper brokerUserId(String id)

    - #### map

          public void map(String key,
                          SessionEntity e,
                          org.infinispan.distexec.mapreduce.Collector collector)

      Specified by:
        `map` in interface `org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.